Package io.vertx.redis.client

## Interface Command

-     public interface Command

  Auto generated API Commands to interact with REDIS.
  Version:
    redis_version:7.0.12
  Author:
    Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Command` | `ACL` | A container for Access List Control commands.
    `static Command` | `APPEND` | Append a value to a key.
    `static Command` | `ASKING` | Sent by cluster clients after an -ASK redirect.
    `static Command` | `AUTH` | Authenticate to the server.
    `static Command` | `BF_ADD` |
    `static Command` | `BF_CARD` |
    `static Command` | `BF_DEBUG` |
    `static Command` | `BF_EXISTS` |
    `static Command` | `BF_INFO` |
    `static Command` | `BF_INSERT` |
    `static Command` | `BF_LOADCHUNK` |
    `static Command` | `BF_MADD` |
    `static Command` | `BF_MEXISTS` |
    `static Command` | `BF_RESERVE` |
    `static Command` | `BF_SCANDUMP` |
    `static Command` | `BGREWRITEAOF` | Asynchronously rewrite the append-only file.
    `static Command` | `BGSAVE` | Asynchronously save the dataset to disk.
    `static Command` | `BITCOUNT` | Count set bits in a string.
    `static Command` | `BITFIELD` | Perform arbitrary bitfield integer operations on strings.
    `static Command` | `BITFIELD_RO` | Perform arbitrary bitfield integer operations on strings.
    `static Command` | `BITOP` | Perform bitwise operations between strings.
    `static Command` | `BITPOS` | Find first bit set or clear in a string.
    `static Command` | `BLMOVE` | Pop an element from a list, push it to another list and return it; or block until one is available.
    `static Command` | `BLMPOP` | Pop elements from a list, or block until one is available.
    `static Command` | `BLPOP` | Remove and get the first element in a list, or block until one is available.
    `static Command` | `BRPOP` | Remove and get the last element in a list, or block until one is available.
    `static Command` | `BRPOPLPUSH` | Deprecated. since: 6.2.0, replaced by: `BLMOVE` with the `RIGHT` and `LEFT` arguments
    `static Command` | `BZMPOP` | Remove and return members with scores in a sorted set or block until one is available.
    `static Command` | `BZPOPMAX` | Remove and return the member with the highest score from one or more sorted sets, or block until one is available.
    `static Command` | `BZPOPMIN` | Remove and return the member with the lowest score from one or more sorted sets, or block until one is available.
    `static Command` | `CF_ADD` |
    `static Command` | `CF_ADDNX` |
    `static Command` | `CF_COMPACT` |
    `static Command` | `CF_COUNT` |
    `static Command` | `CF_DEBUG` |
    `static Command` | `CF_DEL` |
    `static Command` | `CF_EXISTS` |
    `static Command` | `CF_INFO` |
    `static Command` | `CF_INSERT` |
    `static Command` | `CF_INSERTNX` |
    `static Command` | `CF_LOADCHUNK` |
    `static Command` | `CF_MEXISTS` |
    `static Command` | `CF_RESERVE` |
    `static Command` | `CF_SCANDUMP` |
    `static Command` | `CLIENT` | A container for client connection commands.
    `static Command` | `CLUSTER` | A container for cluster commands.
    `static Command` | `CMS_INCRBY` |
    `static Command` | `CMS_INFO` |
    `static Command` | `CMS_INITBYDIM` |
    `static Command` | `CMS_INITBYPROB` |
    `static Command` | `CMS_MERGE` |
    `static Command` | `CMS_QUERY` |
    `static Command` | `COMMAND` | Get array of Redis command details.
    `static Command` | `CONFIG` | A container for server configuration commands.
    `static Command` | `COPY` | Copy a key.
    `static Command` | `DBSIZE` | Return the number of keys in the selected database.
    `static Command` | `DEBUG` | A container for debugging commands.
    `static Command` | `DECR` | Decrement the integer value of a key by one.
    `static Command` | `DECRBY` | Decrement the integer value of a key by the given number.
    `static Command` | `DEL` | Delete a key.
    `static Command` | `DISCARD` | Discard all commands issued after MULTI.
    `static Command` | `DUMP` | Return a serialized version of the value stored at the specified key.
    `static Command` | `ECHO` | Echo the given string.
    `static Command` | `EVAL` | Execute a Lua script server side.
    `static Command` | `EVAL_RO` | Execute a read-only Lua script server side.
    `static Command` | `EVALSHA` | Execute a Lua script server side.
    `static Command` | `EVALSHA_RO` | Execute a read-only Lua script server side.
    `static Command` | `EXEC` | Execute all commands issued after MULTI.
    `static Command` | `EXISTS` | Determine if a key exists.
    `static Command` | `EXPIRE` | Set a key's time to live in seconds.
    `static Command` | `EXPIREAT` | Set the expiration for a key as a UNIX timestamp.
    `static Command` | `EXPIRETIME` | Get the expiration Unix timestamp for a key.
    `static Command` | `FAILOVER` | Start a coordinated failover between this server and one of its replicas.
    `static Command` | `FCALL` | Invoke a function.
    `static Command` | `FCALL_RO` | Invoke a read-only function.
    `static Command` | `FLUSHALL` | Remove all keys from all databases.
    `static Command` | `FLUSHDB` | Remove all keys from the current database.
    `static Command` | `FT__ALIASADDIFNX` |
    `static Command` | `FT__ALIASDELIFX` |
    `static Command` | `FT__ALTERIFNX` |
    `static Command` | `FT__CREATEIFNX` |
    `static Command` | `FT__DROPIFX` |
    `static Command` | `FT__DROPINDEXIFX` |
    `static Command` | `FT__LIST` |
    `static Command` | `FT_ADD` |
    `static Command` | `FT_AGGREGATE` |
    `static Command` | `FT_ALIASADD` |
    `static Command` | `FT_ALIASDEL` |
    `static Command` | `FT_ALIASUPDATE` |
    `static Command` | `FT_ALTER` |
    `static Command` | `FT_CONFIG` |
    `static Command` | `FT_CREATE` |
    `static Command` | `FT_CURSOR` |
    `static Command` | `FT_DEBUG` |
    `static Command` | `FT_DEL` |
    `static Command` | `FT_DICTADD` |
    `static Command` | `FT_DICTDEL` |
    `static Command` | `FT_DICTDUMP` |
    `static Command` | `FT_DROP` |
    `static Command` | `FT_DROPINDEX` |
    `static Command` | `FT_EXPLAIN` |
    `static Command` | `FT_EXPLAINCLI` |
    `static Command` | `FT_GET` |
    `static Command` | `FT_INFO` |
    `static Command` | `FT_MGET` |
    `static Command` | `FT_PROFILE` |
    `static Command` | `FT_SAFEADD` |
    `static Command` | `FT_SEARCH` |
    `static Command` | `FT_SPELLCHECK` |
    `static Command` | `FT_SUGADD` |
    `static Command` | `FT_SUGDEL` |
    `static Command` | `FT_SUGGET` |
    `static Command` | `FT_SUGLEN` |
    `static Command` | `FT_SYNADD` |
    `static Command` | `FT_SYNDUMP` |
    `static Command` | `FT_SYNUPDATE` |
    `static Command` | `FT_TAGVALS` |
    `static Command` | `FUNCTION` | A container for function commands.
    `static Command` | `GEOADD` | Add one or more geospatial items in the geospatial index represented using a sorted set.
    `static Command` | `GEODIST` | Returns the distance between two members of a geospatial index.
    `static Command` | `GEOHASH` | Returns members of a geospatial index as standard geohash strings.
    `static Command` | `GEOPOS` | Returns longitude and latitude of members of a geospatial index.
    `static Command` | `GEORADIUS` | Deprecated. since: 6.2.0, replaced by: `GEOSEARCH` and `GEOSEARCHSTORE` with the `BYRADIUS` argument
    `static Command` | `GEORADIUS_RO` | Deprecated. since: 6.2.0, replaced by: `GEOSEARCH` with the `BYRADIUS` argument
    `static Command` | `GEORADIUSBYMEMBER` | Deprecated. since: 6.2.0, replaced by: `GEOSEARCH` and `GEOSEARCHSTORE` with the `BYRADIUS` and `FROMMEMBER` arguments
    `static Command` | `GEORADIUSBYMEMBER_RO` | Deprecated. since: 6.2.0, replaced by: `GEOSEARCH` with the `BYRADIUS` and `FROMMEMBER` arguments
    `static Command` | `GEOSEARCH` | Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle.
    `static Command` | `GEOSEARCHSTORE` | Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle, and store the result in another key.
    `static Command` | `GET` | Get the value of a key.
    `static Command` | `GETBIT` | Returns the bit value at offset in the string value stored at key.
    `static Command` | `GETDEL` | Get the value of a key and delete the key.
    `static Command` | `GETEX` | Get the value of a key and optionally set its expiration.
    `static Command` | `GETRANGE` | Get a substring of the string stored at a key.
    `static Command` | `GETSET` | Deprecated. since: 6.2.0, replaced by: `SET` with the `!GET` argument
    `static Command` | `GRAPH_BULK` |
    `static Command` | `GRAPH_CONFIG` |
    `static Command` | `GRAPH_DEBUG` |
    `static Command` | `GRAPH_DELETE` |
    `static Command` | `GRAPH_EXPLAIN` |
    `static Command` | `GRAPH_LIST` |
    `static Command` | `GRAPH_PROFILE` |
    `static Command` | `GRAPH_QUERY` |
    `static Command` | `GRAPH_RO_QUERY` |
    `static Command` | `GRAPH_SLOWLOG` |
    `static Command` | `HDEL` | Delete one or more hash fields.
    `static Command` | `HELLO` | Handshake with Redis.
    `static Command` | `HEXISTS` | Determine if a hash field exists.
    `static Command` | `HGET` | Get the value of a hash field.
    `static Command` | `HGETALL` | Get all the fields and values in a hash.
    `static Command` | `HINCRBY` | Increment the integer value of a hash field by the given number.
    `static Command` | `HINCRBYFLOAT` | Increment the float value of a hash field by the given amount.
    `static Command` | `HKEYS` | Get all the fields in a hash.
    `static Command` | `HLEN` | Get the number of fields in a hash.
    `static Command` | `HMGET` | Get the values of all the given hash fields.
    `static Command` | `HMSET` | Deprecated. since: 4.0.0, replaced by: `HSET` with multiple field-value pairs
    `static Command` | `HRANDFIELD` | Get one or multiple random fields from a hash.
    `static Command` | `HSCAN` | Incrementally iterate hash fields and associated values.
    `static Command` | `HSET` | Set the string value of a hash field.
    `static Command` | `HSETNX` | Set the value of a hash field, only if the field does not exist.
    `static Command` | `HSTRLEN` | Get the length of the value of a hash field.
    `static Command` | `HVALS` | Get all the values in a hash.
    `static Command` | `INCR` | Increment the integer value of a key by one.
    `static Command` | `INCRBY` | Increment the integer value of a key by the given amount.
    `static Command` | `INCRBYFLOAT` | Increment the float value of a key by the given amount.
    `static Command` | `INFO` | Get information and statistics about the server.
    `static Command` | `JSON_ARRAPPEND` |
    `static Command` | `JSON_ARRINDEX` |
    `static Command` | `JSON_ARRINSERT` |
    `static Command` | `JSON_ARRLEN` |
    `static Command` | `JSON_ARRPOP` |
    `static Command` | `JSON_ARRTRIM` |
    `static Command` | `JSON_CLEAR` |
    `static Command` | `JSON_DEBUG` |
    `static Command` | `JSON_DEL` |
    `static Command` | `JSON_FORGET` |
    `static Command` | `JSON_GET` |
    `static Command` | `JSON_MGET` |
    `static Command` | `JSON_NUMINCRBY` |
    `static Command` | `JSON_NUMMULTBY` |
    `static Command` | `JSON_NUMPOWBY` |
    `static Command` | `JSON_OBJKEYS` |
    `static Command` | `JSON_OBJLEN` |
    `static Command` | `JSON_RESP` |
    `static Command` | `JSON_SET` |
    `static Command` | `JSON_STRAPPEND` |
    `static Command` | `JSON_STRLEN` |
    `static Command` | `JSON_TOGGLE` |
    `static Command` | `JSON_TYPE` |
    `static Command` | `KEYS` | Find all keys matching the given pattern.
    `static Command` | `LASTSAVE` | Get the UNIX time stamp of the last successful save to disk.
    `static Command` | `LATENCY` | A container for latency diagnostics commands.
    `static Command` | `LCS` | Find longest common substring.
    `static Command` | `LINDEX` | Get an element from a list by its index.
    `static Command` | `LINSERT` | Insert an element before or after another element in a list.
    `static Command` | `LLEN` | Get the length of a list.
    `static Command` | `LMOVE` | Pop an element from a list, push it to another list and return it.
    `static Command` | `LMPOP` | Pop elements from a list.
    `static Command` | `LOLWUT` | Display some computer art and the Redis version.
    `static Command` | `LPOP` | Remove and get the first elements in a list.
    `static Command` | `LPOS` | Return the index of matching elements on a list.
    `static Command` | `LPUSH` | Prepend one or multiple elements to a list.
    `static Command` | `LPUSHX` | Prepend an element to a list, only if the list exists.
    `static Command` | `LRANGE` | Get a range of elements from a list.
    `static Command` | `LREM` | Remove elements from a list.
    `static Command` | `LSET` | Set the value of an element in a list by its index.
    `static Command` | `LTRIM` | Trim a list to the specified range.
    `static Command` | `MEMORY` | A container for memory diagnostics commands.
    `static Command` | `MGET` | Get the values of all the given keys.
    `static Command` | `MIGRATE` | Atomically transfer a key from a Redis instance to another one.
    `static Command` | `MODULE` | A container for module commands.
    `static Command` | `MONITOR` | Listen for all requests received by the server in real time.
    `static Command` | `MOVE` | Move a key to another database.
    `static Command` | `MSET` | Set multiple keys to multiple values.
    `static Command` | `MSETNX` | Set multiple keys to multiple values, only if none of the keys exist.
    `static Command` | `MULTI` | Mark the start of a transaction block.
    `static Command` | `OBJECT` | A container for object introspection commands.
    `static Command` | `PERSIST` | Remove the expiration from a key.
    `static Command` | `PEXPIRE` | Set a key's time to live in milliseconds.
    `static Command` | `PEXPIREAT` | Set the expiration for a key as a UNIX timestamp specified in milliseconds.
    `static Command` | `PEXPIRETIME` | Get the expiration Unix timestamp for a key in milliseconds.
    `static Command` | `PFADD` | Adds the specified elements to the specified HyperLogLog.
    `static Command` | `PFCOUNT` | Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
    `static Command` | `PFDEBUG` | Internal commands for debugging HyperLogLog values.
    `static Command` | `PFMERGE` | Merge N different HyperLogLogs into a single one.
    `static Command` | `PFSELFTEST` | An internal command for testing HyperLogLog values.
    `static Command` | `PING` | Ping the server.
    `static Command` | `PSETEX` | Set the value and expiration in milliseconds of a key.
    `static Command` | `PSUBSCRIBE` | Listen for messages published to channels matching the given patterns.
    `static Command` | `PSYNC` | Internal command used for replication.
    `static Command` | `PTTL` | Get the time to live for a key in milliseconds.
    `static Command` | `PUBLISH` | Post a message to a channel.
    `static Command` | `PUBSUB` | A container for Pub/Sub commands.
    `static Command` | `PUNSUBSCRIBE` | Stop listening for messages posted to channels matching the given patterns.
    `static Command` | `QUIT` | Close the connection.
    `static Command` | `RANDOMKEY` | Return a random key from the keyspace.
    `static Command` | `READONLY` | Enables read queries for a connection to a cluster replica node.
    `static Command` | `READWRITE` | Disables read queries for a connection to a cluster replica node.
    `static Command` | `RENAME` | Rename a key.
    `static Command` | `RENAMENX` | Rename a key, only if the new key does not exist.
    `static Command` | `REPLCONF` | An internal command for configuring the replication stream.
    `static Command` | `REPLICAOF` | Make the server a replica of another instance, or promote it as master.
    `static Command` | `RESET` | Reset the connection.
    `static Command` | `RESTORE` | Create a key using the provided serialized value, previously obtained using DUMP.
    `static Command` | `RESTORE_ASKING` | An internal command for migrating keys in a cluster.
    `static Command` | `ROLE` | Return the role of the instance in the context of replication.
    `static Command` | `RPOP` | Remove and get the last elements in a list.
    `static Command` | `RPOPLPUSH` | Deprecated. since: 6.2.0, replaced by: `LMOVE` with the `RIGHT` and `LEFT` arguments
    `static Command` | `RPUSH` | Append one or multiple elements to a list.
    `static Command` | `RPUSHX` | Append an element to a list, only if the list exists.
    `static Command` | `SADD` | Add one or more members to a set.
    `static Command` | `SAVE` | Synchronously save the dataset to disk.
    `static Command` | `SCAN` | Incrementally iterate the keys space.
    `static Command` | `SCARD` | Get the number of members in a set.
    `static Command` | `SCRIPT` | A container for Lua scripts management commands.
    `static Command` | `SDIFF` | Subtract multiple sets.
    `static Command` | `SDIFFSTORE` | Subtract multiple sets and store the resulting set in a key.
    `static Command` | `SELECT` | Change the selected database for the current connection.
    `static Command` | `SENTINEL` |
    `static Command` | `SET` | Set the string value of a key.
    `static Command` | `SETBIT` | Sets or clears the bit at offset in the string value stored at key.
    `static Command` | `SETEX` | Set the value and expiration of a key.
    `static Command` | `SETNX` | Set the value of a key, only if the key does not exist.
    `static Command` | `SETRANGE` | Overwrite part of a string at key starting at the specified offset.
    `static Command` | `SHUTDOWN` | Synchronously save the dataset to disk and then shut down the server.
    `static Command` | `SINTER` | Intersect multiple sets.
    `static Command` | `SINTERCARD` | Intersect multiple sets and return the cardinality of the result.
    `static Command` | `SINTERSTORE` | Intersect multiple sets and store the resulting set in a key.
    `static Command` | `SISMEMBER` | Determine if a given value is a member of a set.
    `static Command` | `SLAVEOF` | Deprecated. since: 5.0.0, replaced by: `REPLICAOF`
    `static Command` | `SLOWLOG` | A container for slow log commands.
    `static Command` | `SMEMBERS` | Get all the members in a set.
    `static Command` | `SMISMEMBER` | Returns the membership associated with the given elements for a set.
    `static Command` | `SMOVE` | Move a member from one set to another.
    `static Command` | `SORT` | Sort the elements in a list, set or sorted set.
    `static Command` | `SORT_RO` | Sort the elements in a list, set or sorted set.
    `static Command` | `SPOP` | Remove and return one or multiple random members from a set.
    `static Command` | `SPUBLISH` | Post a message to a shard channel.
    `static Command` | `SRANDMEMBER` | Get one or multiple random members from a set.
    `static Command` | `SREM` | Remove one or more members from a set.
    `static Command` | `SSCAN` | Incrementally iterate Set elements.
    `static Command` | `SSUBSCRIBE` | Listen for messages published to the given shard channels.
    `static Command` | `STRLEN` | Get the length of the value stored in a key.
    `static Command` | `SUBSCRIBE` | Listen for messages published to the given channels.
    `static Command` | `SUBSTR` | Deprecated. since: 2.0.0, replaced by: `GETRANGE`
    `static Command` | `SUNION` | Add multiple sets.
    `static Command` | `SUNIONSTORE` | Add multiple sets and store the resulting set in a key.
    `static Command` | `SUNSUBSCRIBE` | Stop listening for messages posted to the given shard channels.
    `static Command` | `SWAPDB` | Swaps two Redis databases.
    `static Command` | `SYNC` | Internal command used for replication.
    `static Command` | `TDIGEST_ADD` |
    `static Command` | `TDIGEST_BYRANK` |
    `static Command` | `TDIGEST_BYREVRANK` |
    `static Command` | `TDIGEST_CDF` |
    `static Command` | `TDIGEST_CREATE` |
    `static Command` | `TDIGEST_INFO` |
    `static Command` | `TDIGEST_MAX` |
    `static Command` | `TDIGEST_MERGE` |
    `static Command` | `TDIGEST_MIN` |
    `static Command` | `TDIGEST_QUANTILE` |
    `static Command` | `TDIGEST_RANK` |
    `static Command` | `TDIGEST_RESET` |
    `static Command` | `TDIGEST_REVRANK` |
    `static Command` | `TDIGEST_TRIMMED_MEAN` |
    `static Command` | `TIME` | Return the current server time.
    `static Command` | `TIMESERIES_CLUSTERSET` |
    `static Command` | `TIMESERIES_CLUSTERSETFROMSHARD` |
    `static Command` | `TIMESERIES_HELLO` |
    `static Command` | `TIMESERIES_INFOCLUSTER` |
    `static Command` | `TIMESERIES_INNERCOMMUNICATION` |
    `static Command` | `TIMESERIES_NETWORKTEST` |
    `static Command` | `TIMESERIES_REFRESHCLUSTER` |
    `static Command` | `TOPK_ADD` |
    `static Command` | `TOPK_COUNT` |
    `static Command` | `TOPK_INCRBY` |
    `static Command` | `TOPK_INFO` |
    `static Command` | `TOPK_LIST` |
    `static Command` | `TOPK_QUERY` |
    `static Command` | `TOPK_RESERVE` |
    `static Command` | `TOUCH` | Alters the last access time of a key(s).
    `static Command` | `TS_ADD` |
    `static Command` | `TS_ALTER` |
    `static Command` | `TS_CREATE` |
    `static Command` | `TS_CREATERULE` |
    `static Command` | `TS_DECRBY` |
    `static Command` | `TS_DEL` |
    `static Command` | `TS_DELETERULE` |
    `static Command` | `TS_GET` |
    `static Command` | `TS_INCRBY` |
    `static Command` | `TS_INFO` |
    `static Command` | `TS_MADD` |
    `static Command` | `TS_MGET` |
    `static Command` | `TS_MRANGE` |
    `static Command` | `TS_MREVRANGE` |
    `static Command` | `TS_QUERYINDEX` |
    `static Command` | `TS_RANGE` |
    `static Command` | `TS_REVRANGE` |
    `static Command` | `TTL` | Get the time to live for a key in seconds.
    `static Command` | `TYPE` | Determine the type stored at key.
    `static Command` | `UNLINK` | Delete a key asynchronously in another thread.
    `static Command` | `UNSUBSCRIBE` | Stop listening for messages posted to the given channels.
    `static Command` | `UNWATCH` | Forget about all watched keys.
    `static Command` | `WAIT` | Wait for the synchronous replication of all the write commands sent in the context of the current connection.
    `static Command` | `WATCH` | Watch the given keys to determine execution of the MULTI/EXEC block.
    `static Command` | `XACK` | Marks a pending message as correctly processed, effectively removing it from the pending entries list of the consumer group.
    `static Command` | `XADD` | Appends a new entry to a stream.
    `static Command` | `XAUTOCLAIM` | Changes (or acquires) ownership of messages in a consumer group, as if the messages were delivered to the specified consumer.
    `static Command` | `XCLAIM` | Changes (or acquires) ownership of a message in a consumer group, as if the message was delivered to the specified consumer.
    `static Command` | `XDEL` | Removes the specified entries from the stream.
    `static Command` | `XGROUP` | A container for consumer groups commands.
    `static Command` | `XINFO` | A container for stream introspection commands.
    `static Command` | `XLEN` | Return the number of entries in a stream.
    `static Command` | `XPENDING` | Return information and entries from a stream consumer group pending entries list, that are messages fetched but never acknowledged.
    `static Command` | `XRANGE` | Return a range of elements in a stream, with IDs matching the specified IDs interval.
    `static Command` | `XREAD` | Return never seen elements in multiple streams, with IDs greater than the ones reported by the caller for each stream.
    `static Command` | `XREADGROUP` | Return new entries from a stream using a consumer group, or access the history of the pending entries for a given consumer.
    `static Command` | `XREVRANGE` | Return a range of elements in a stream, with IDs matching the specified IDs interval, in reverse order (from greater to smaller IDs) compared to XRANGE.
    `static Command` | `XSETID` | An internal command for replicating stream values.
    `static Command` | `XTRIM` | Trims the stream to (approximately if '~' is passed) a certain size.
    `static Command` | `ZADD` | Add one or more members to a sorted set, or update its score if it already exists.
    `static Command` | `ZCARD` | Get the number of members in a sorted set.
    `static Command` | `ZCOUNT` | Count the members in a sorted set with scores within the given values.
    `static Command` | `ZDIFF` | Subtract multiple sorted sets.
    `static Command` | `ZDIFFSTORE` | Subtract multiple sorted sets and store the resulting sorted set in a new key.
    `static Command` | `ZINCRBY` | Increment the score of a member in a sorted set.
    `static Command` | `ZINTER` | Intersect multiple sorted sets.
    `static Command` | `ZINTERCARD` | Intersect multiple sorted sets and return the cardinality of the result.
    `static Command` | `ZINTERSTORE` | Intersect multiple sorted sets and store the resulting sorted set in a new key.
    `static Command` | `ZLEXCOUNT` | Count the number of members in a sorted set between a given lexicographical range.
    `static Command` | `ZMPOP` | Remove and return members with scores in a sorted set.
    `static Command` | `ZMSCORE` | Get the score associated with the given members in a sorted set.
    `static Command` | `ZPOPMAX` | Remove and return members with the highest scores in a sorted set.
    `static Command` | `ZPOPMIN` | Remove and return members with the lowest scores in a sorted set.
    `static Command` | `ZRANDMEMBER` | Get one or multiple random elements from a sorted set.
    `static Command` | `ZRANGE` | Return a range of members in a sorted set.
    `static Command` | `ZRANGEBYLEX` | Deprecated. since: 6.2.0, replaced by: `ZRANGE` with the `BYLEX` argument
    `static Command` | `ZRANGEBYSCORE` | Deprecated. since: 6.2.0, replaced by: `ZRANGE` with the `BYSCORE` argument
    `static Command` | `ZRANGESTORE` | Store a range of members from sorted set into another key.
    `static Command` | `ZRANK` | Determine the index of a member in a sorted set.
    `static Command` | `ZREM` | Remove one or more members from a sorted set.
    `static Command` | `ZREMRANGEBYLEX` | Remove all members in a sorted set between the given lexicographical range.
    `static Command` | `ZREMRANGEBYRANK` | Remove all members in a sorted set within the given indexes.
    `static Command` | `ZREMRANGEBYSCORE` | Remove all members in a sorted set within the given scores.
    `static Command` | `ZREVRANGE` | Deprecated. since: 6.2.0, replaced by: `ZRANGE` with the `REV` argument
    `static Command` | `ZREVRANGEBYLEX` | Deprecated. since: 6.2.0, replaced by: `ZRANGE` with the `REV` and `BYLEX` arguments
    `static Command` | `ZREVRANGEBYSCORE` | Deprecated. since: 6.2.0, replaced by: `ZRANGE` with the `REV` and `BYSCORE` arguments
    `static Command` | `ZREVRANK` | Determine the index of a member in a sorted set, with scores ordered from high to low.
    `static Command` | `ZSCAN` | Incrementally iterate sorted sets elements and associated scores.
    `static Command` | `ZSCORE` | Get the score associated with the given member in a sorted set.
    `static Command` | `ZUNION` | Add multiple sorted sets.
    `static Command` | `ZUNIONSTORE` | Add multiple sorted sets and store the resulting sorted set in a new key.

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Command` | `create​(String command)` | Generic command generator for extensions.

- - ### Field Detail

    - #### ACL

          static final Command ACL

      A container for Access List Control commands.

    - #### APPEND

          static final Command APPEND

      Append a value to a key.

    - #### ASKING

          static final Command ASKING

      Sent by cluster clients after an -ASK redirect.

    - #### AUTH

          static final Command AUTH

      Authenticate to the server.

    - #### BF_ADD

          static final Command BF_ADD

    - #### BF_CARD

          static final Command BF_CARD

    - #### BF_DEBUG

          static final Command BF_DEBUG

    - #### BF_EXISTS

          static final Command BF_EXISTS

    - #### BF_INFO

          static final Command BF_INFO

    - #### BF_INSERT

          static final Command BF_INSERT

    - #### BF_LOADCHUNK

          static final Command BF_LOADCHUNK

    - #### BF_MADD

          static final Command BF_MADD

    - #### BF_MEXISTS

          static final Command BF_MEXISTS

    - #### BF_RESERVE

          static final Command BF_RESERVE

    - #### BF_SCANDUMP

          static final Command BF_SCANDUMP

    - #### BGREWRITEAOF

          static final Command BGREWRITEAOF

      Asynchronously rewrite the append-only file.

    - #### BGSAVE

          static final Command BGSAVE

      Asynchronously save the dataset to disk.

    - #### BITCOUNT

          static final Command BITCOUNT

      Count set bits in a string.

    - #### BITFIELD

          static final Command BITFIELD

      Perform arbitrary bitfield integer operations on strings.

    - #### BITFIELD_RO

          static final Command BITFIELD_RO

      Perform arbitrary bitfield integer operations on strings. Read-only variant of BITFIELD.

    - #### BITOP

          static final Command BITOP

      Perform bitwise operations between strings.

    - #### BITPOS

          static final Command BITPOS

      Find first bit set or clear in a string.

    - #### BLMOVE

          static final Command BLMOVE

      Pop an element from a list, push it to another list and return it; or block until one is available.

    - #### BLMPOP

          static final Command BLMPOP

      Pop elements from a list, or block until one is available.

    - #### BLPOP

          static final Command BLPOP

      Remove and get the first element in a list, or block until one is available.

    - #### BRPOP

          static final Command BRPOP

      Remove and get the last element in a list, or block until one is available.

    - #### BRPOPLPUSH

          @Deprecated
          static final Command BRPOPLPUSH

      Deprecated.
      since: 6.2.0, replaced by: `BLMOVE` with the `RIGHT` and `LEFT` arguments
      Pop an element from a list, push it to another list and return it; or block until one is available.

    - #### BZMPOP

          static final Command BZMPOP

      Remove and return members with scores in a sorted set or block until one is available.

    - #### BZPOPMAX

          static final Command BZPOPMAX

      Remove and return the member with the highest score from one or more sorted sets, or block until one is available.

    - #### BZPOPMIN

          static final Command BZPOPMIN

      Remove and return the member with the lowest score from one or more sorted sets, or block until one is available.

    - #### CF_ADD

          static final Command CF_ADD

    - #### CF_ADDNX

          static final Command CF_ADDNX

    - #### CF_COMPACT

          static final Command CF_COMPACT

    - #### CF_COUNT

          static final Command CF_COUNT

    - #### CF_DEBUG

          static final Command CF_DEBUG

    - #### CF_DEL

          static final Command CF_DEL

    - #### CF_EXISTS

          static final Command CF_EXISTS

    - #### CF_INFO

          static final Command CF_INFO

    - #### CF_INSERT

          static final Command CF_INSERT

    - #### CF_INSERTNX

          static final Command CF_INSERTNX

    - #### CF_LOADCHUNK

          static final Command CF_LOADCHUNK

    - #### CF_MEXISTS

          static final Command CF_MEXISTS

    - #### CF_RESERVE

          static final Command CF_RESERVE

    - #### CF_SCANDUMP

          static final Command CF_SCANDUMP

    - #### CLIENT

          static final Command CLIENT

      A container for client connection commands.

    - #### CLUSTER

          static final Command CLUSTER

      A container for cluster commands.

    - #### CMS_INCRBY

          static final Command CMS_INCRBY

    - #### CMS_INFO

          static final Command CMS_INFO

    - #### CMS_INITBYDIM

          static final Command CMS_INITBYDIM

    - #### CMS_INITBYPROB

          static final Command CMS_INITBYPROB

    - #### CMS_MERGE

          static final Command CMS_MERGE

    - #### CMS_QUERY

          static final Command CMS_QUERY

    - #### COMMAND

          static final Command COMMAND

      Get array of Redis command details.

    - #### CONFIG

          static final Command CONFIG

      A container for server configuration commands.

    - #### COPY

          static final Command COPY

      Copy a key.

    - #### DBSIZE

          static final Command DBSIZE

      Return the number of keys in the selected database.

    - #### DEBUG

          static final Command DEBUG

      A container for debugging commands.

    - #### DECR

          static final Command DECR

      Decrement the integer value of a key by one.

    - #### DECRBY

          static final Command DECRBY

      Decrement the integer value of a key by the given number.

    - #### DEL

          static final Command DEL

      Delete a key.

    - #### DISCARD

          static final Command DISCARD

      Discard all commands issued after MULTI.

    - #### DUMP

          static final Command DUMP

      Return a serialized version of the value stored at the specified key.

    - #### ECHO

          static final Command ECHO

      Echo the given string.

    - #### EVAL

          static final Command EVAL

      Execute a Lua script server side.

    - #### EVALSHA

          static final Command EVALSHA

      Execute a Lua script server side.

    - #### EVALSHA_RO

          static final Command EVALSHA_RO

      Execute a read-only Lua script server side.

    - #### EVAL_RO

          static final Command EVAL_RO

      Execute a read-only Lua script server side.

    - #### EXEC

          static final Command EXEC

      Execute all commands issued after MULTI.

    - #### EXISTS

          static final Command EXISTS

      Determine if a key exists.

    - #### EXPIRE

          static final Command EXPIRE

      Set a key's time to live in seconds.

    - #### EXPIREAT

          static final Command EXPIREAT

      Set the expiration for a key as a UNIX timestamp.

    - #### EXPIRETIME

          static final Command EXPIRETIME

      Get the expiration Unix timestamp for a key.

    - #### FAILOVER

          static final Command FAILOVER

      Start a coordinated failover between this server and one of its replicas.

    - #### FCALL

          static final Command FCALL

      Invoke a function.

    - #### FCALL_RO

          static final Command FCALL_RO

      Invoke a read-only function.

    - #### FLUSHALL

          static final Command FLUSHALL

      Remove all keys from all databases.

    - #### FLUSHDB

          static final Command FLUSHDB

      Remove all keys from the current database.

    - #### FT_ADD

          static final Command FT_ADD

    - #### FT_AGGREGATE

          static final Command FT_AGGREGATE

    - #### FT_ALIASADD

          static final Command FT_ALIASADD

    - #### FT_ALIASDEL

          static final Command FT_ALIASDEL

    - #### FT_ALIASUPDATE

          static final Command FT_ALIASUPDATE

    - #### FT_ALTER

          static final Command FT_ALTER

    - #### FT_CONFIG

          static final Command FT_CONFIG

    - #### FT_CREATE

          static final Command FT_CREATE

    - #### FT_CURSOR

          static final Command FT_CURSOR

    - #### FT_DEBUG

          static final Command FT_DEBUG

    - #### FT_DEL

          static final Command FT_DEL

    - #### FT_DICTADD

          static final Command FT_DICTADD

    - #### FT_DICTDEL

          static final Command FT_DICTDEL

    - #### FT_DICTDUMP

          static final Command FT_DICTDUMP

    - #### FT_DROP

          static final Command FT_DROP

    - #### FT_DROPINDEX

          static final Command FT_DROPINDEX

    - #### FT_EXPLAIN

          static final Command FT_EXPLAIN

    - #### FT_EXPLAINCLI

          static final Command FT_EXPLAINCLI

    - #### FT_GET

          static final Command FT_GET

    - #### FT_INFO

          static final Command FT_INFO

    - #### FT_MGET

          static final Command FT_MGET

    - #### FT_PROFILE

          static final Command FT_PROFILE

    - #### FT_SAFEADD

          static final Command FT_SAFEADD

    - #### FT_SEARCH

          static final Command FT_SEARCH

    - #### FT_SPELLCHECK

          static final Command FT_SPELLCHECK

    - #### FT_SUGADD

          static final Command FT_SUGADD

    - #### FT_SUGDEL

          static final Command FT_SUGDEL

    - #### FT_SUGGET

          static final Command FT_SUGGET

    - #### FT_SUGLEN

          static final Command FT_SUGLEN

    - #### FT_SYNADD

          static final Command FT_SYNADD

    - #### FT_SYNDUMP

          static final Command FT_SYNDUMP

    - #### FT_SYNUPDATE

          static final Command FT_SYNUPDATE

    - #### FT_TAGVALS

          static final Command FT_TAGVALS

    - #### FT__ALIASADDIFNX

          static final Command FT__ALIASADDIFNX

    - #### FT__ALIASDELIFX

          static final Command FT__ALIASDELIFX

    - #### FT__ALTERIFNX

          static final Command FT__ALTERIFNX

    - #### FT__CREATEIFNX

          static final Command FT__CREATEIFNX

    - #### FT__DROPIFX

          static final Command FT__DROPIFX

    - #### FT__DROPINDEXIFX

          static final Command FT__DROPINDEXIFX

    - #### FT__LIST

          static final Command FT__LIST

    - #### FUNCTION

          static final Command FUNCTION

      A container for function commands.

    - #### GEOADD

          static final Command GEOADD

      Add one or more geospatial items in the geospatial index represented using a sorted set.

    - #### GEODIST

          static final Command GEODIST

      Returns the distance between two members of a geospatial index.

    - #### GEOHASH

          static final Command GEOHASH

      Returns members of a geospatial index as standard geohash strings.

    - #### GEOPOS

          static final Command GEOPOS

      Returns longitude and latitude of members of a geospatial index.

    - #### GEORADIUS

          @Deprecated
          static final Command GEORADIUS

      Deprecated.
      since: 6.2.0, replaced by: `GEOSEARCH` and `GEOSEARCHSTORE` with the `BYRADIUS` argument
      Query a sorted set representing a geospatial index to fetch members matching a given maximum distance from a point.

    - #### GEORADIUSBYMEMBER

          @Deprecated
          static final Command GEORADIUSBYMEMBER

      Deprecated.
      since: 6.2.0, replaced by: `GEOSEARCH` and `GEOSEARCHSTORE` with the `BYRADIUS` and `FROMMEMBER` arguments
      Query a sorted set representing a geospatial index to fetch members matching a given maximum distance from a member.

    - #### GEORADIUSBYMEMBER_RO

          @Deprecated
          static final Command GEORADIUSBYMEMBER_RO

      Deprecated.
      since: 6.2.0, replaced by: `GEOSEARCH` with the `BYRADIUS` and `FROMMEMBER` arguments
      A read-only variant for GEORADIUSBYMEMBER.

    - #### GEORADIUS_RO

          @Deprecated
          static final Command GEORADIUS_RO

      Deprecated.
      since: 6.2.0, replaced by: `GEOSEARCH` with the `BYRADIUS` argument
      A read-only variant for GEORADIUS.

    - #### GEOSEARCH

          static final Command GEOSEARCH

      Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle.

    - #### GEOSEARCHSTORE

          static final Command GEOSEARCHSTORE

      Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle, and store the result in another key.

    - #### GET

          static final Command GET

      Get the value of a key.

    - #### GETBIT

          static final Command GETBIT

      Returns the bit value at offset in the string value stored at key.

    - #### GETDEL

          static final Command GETDEL

      Get the value of a key and delete the key.

    - #### GETEX

          static final Command GETEX

      Get the value of a key and optionally set its expiration.

    - #### GETRANGE

          static final Command GETRANGE

      Get a substring of the string stored at a key.

    - #### GETSET

          @Deprecated
          static final Command GETSET

      Deprecated.
      since: 6.2.0, replaced by: `SET` with the `!GET` argument
      Set the string value of a key and return its old value.

    - #### GRAPH_BULK

          static final Command GRAPH_BULK

    - #### GRAPH_CONFIG

          static final Command GRAPH_CONFIG

    - #### GRAPH_DEBUG

          static final Command GRAPH_DEBUG

    - #### GRAPH_DELETE

          static final Command GRAPH_DELETE

    - #### GRAPH_EXPLAIN

          static final Command GRAPH_EXPLAIN

    - #### GRAPH_LIST

          static final Command GRAPH_LIST

    - #### GRAPH_PROFILE

          static final Command GRAPH_PROFILE

    - #### GRAPH_QUERY

          static final Command GRAPH_QUERY

    - #### GRAPH_RO_QUERY

          static final Command GRAPH_RO_QUERY

    - #### GRAPH_SLOWLOG

          static final Command GRAPH_SLOWLOG

    - #### HDEL

          static final Command HDEL

      Delete one or more hash fields.

    - #### HELLO

          static final Command HELLO

      Handshake with Redis.

    - #### HEXISTS

          static final Command HEXISTS

      Determine if a hash field exists.

    - #### HGET

          static final Command HGET

      Get the value of a hash field.

    - #### HGETALL

          static final Command HGETALL

      Get all the fields and values in a hash.

    - #### HINCRBY

          static final Command HINCRBY

      Increment the integer value of a hash field by the given number.

    - #### HINCRBYFLOAT

          static final Command HINCRBYFLOAT

      Increment the float value of a hash field by the given amount.

    - #### HKEYS

          static final Command HKEYS

      Get all the fields in a hash.

    - #### HLEN

          static final Command HLEN

      Get the number of fields in a hash.

    - #### HMGET

          static final Command HMGET

      Get the values of all the given hash fields.

    - #### HMSET

          @Deprecated
          static final Command HMSET

      Deprecated.
      since: 4.0.0, replaced by: `HSET` with multiple field-value pairs
      Set multiple hash fields to multiple values.

    - #### HRANDFIELD

          static final Command HRANDFIELD

      Get one or multiple random fields from a hash.

    - #### HSCAN

          static final Command HSCAN

      Incrementally iterate hash fields and associated values.

    - #### HSET

          static final Command HSET

      Set the string value of a hash field.

    - #### HSETNX

          static final Command HSETNX

      Set the value of a hash field, only if the field does not exist.

    - #### HSTRLEN

          static final Command HSTRLEN

      Get the length of the value of a hash field.

    - #### HVALS

          static final Command HVALS

      Get all the values in a hash.

    - #### INCR

          static final Command INCR

      Increment the integer value of a key by one.

    - #### INCRBY

          static final Command INCRBY

      Increment the integer value of a key by the given amount.

    - #### INCRBYFLOAT

          static final Command INCRBYFLOAT

      Increment the float value of a key by the given amount.

    - #### INFO

          static final Command INFO

      Get information and statistics about the server.

    - #### JSON_ARRAPPEND

          static final Command JSON_ARRAPPEND

    - #### JSON_ARRINDEX

          static final Command JSON_ARRINDEX

    - #### JSON_ARRINSERT

          static final Command JSON_ARRINSERT

    - #### JSON_ARRLEN

          static final Command JSON_ARRLEN

    - #### JSON_ARRPOP

          static final Command JSON_ARRPOP

    - #### JSON_ARRTRIM

          static final Command JSON_ARRTRIM

    - #### JSON_CLEAR

          static final Command JSON_CLEAR

    - #### JSON_DEBUG

          static final Command JSON_DEBUG

    - #### JSON_DEL

          static final Command JSON_DEL

    - #### JSON_FORGET

          static final Command JSON_FORGET

    - #### JSON_GET

          static final Command JSON_GET

    - #### JSON_MGET

          static final Command JSON_MGET

    - #### JSON_NUMINCRBY

          static final Command JSON_NUMINCRBY

    - #### JSON_NUMMULTBY

          static final Command JSON_NUMMULTBY

    - #### JSON_NUMPOWBY

          static final Command JSON_NUMPOWBY

    - #### JSON_OBJKEYS

          static final Command JSON_OBJKEYS

    - #### JSON_OBJLEN

          static final Command JSON_OBJLEN

    - #### JSON_RESP

          static final Command JSON_RESP

    - #### JSON_SET

          static final Command JSON_SET

    - #### JSON_STRAPPEND

          static final Command JSON_STRAPPEND

    - #### JSON_STRLEN

          static final Command JSON_STRLEN

    - #### JSON_TOGGLE

          static final Command JSON_TOGGLE

    - #### JSON_TYPE

          static final Command JSON_TYPE

    - #### KEYS

          static final Command KEYS

      Find all keys matching the given pattern.

    - #### LASTSAVE

          static final Command LASTSAVE

      Get the UNIX time stamp of the last successful save to disk.

    - #### LATENCY

          static final Command LATENCY

      A container for latency diagnostics commands.

    - #### LCS

          static final Command LCS

      Find longest common substring.

    - #### LINDEX

          static final Command LINDEX

      Get an element from a list by its index.

    - #### LINSERT

          static final Command LINSERT

      Insert an element before or after another element in a list.

    - #### LLEN

          static final Command LLEN

      Get the length of a list.

    - #### LMOVE

          static final Command LMOVE

      Pop an element from a list, push it to another list and return it.

    - #### LMPOP

          static final Command LMPOP

      Pop elements from a list.

    - #### LOLWUT

          static final Command LOLWUT

      Display some computer art and the Redis version.

    - #### LPOP

          static final Command LPOP

      Remove and get the first elements in a list.

    - #### LPOS

          static final Command LPOS

      Return the index of matching elements on a list.

    - #### LPUSH

          static final Command LPUSH

      Prepend one or multiple elements to a list.

    - #### LPUSHX

          static final Command LPUSHX

      Prepend an element to a list, only if the list exists.

    - #### LRANGE

          static final Command LRANGE

      Get a range of elements from a list.

    - #### LREM

          static final Command LREM

      Remove elements from a list.

    - #### LSET

          static final Command LSET

      Set the value of an element in a list by its index.

    - #### LTRIM

          static final Command LTRIM

      Trim a list to the specified range.

    - #### MEMORY

          static final Command MEMORY

      A container for memory diagnostics commands.

    - #### MGET

          static final Command MGET

      Get the values of all the given keys.

    - #### MIGRATE

          static final Command MIGRATE

      Atomically transfer a key from a Redis instance to another one.

    - #### MODULE

          static final Command MODULE

      A container for module commands.

    - #### MONITOR

          static final Command MONITOR

      Listen for all requests received by the server in real time.

    - #### MOVE

          static final Command MOVE

      Move a key to another database.

    - #### MSET

          static final Command MSET

      Set multiple keys to multiple values.

    - #### MSETNX

          static final Command MSETNX

      Set multiple keys to multiple values, only if none of the keys exist.

    - #### MULTI

          static final Command MULTI

      Mark the start of a transaction block.

    - #### OBJECT

          static final Command OBJECT

      A container for object introspection commands.

    - #### PERSIST

          static final Command PERSIST

      Remove the expiration from a key.

    - #### PEXPIRE

          static final Command PEXPIRE

      Set a key's time to live in milliseconds.

    - #### PEXPIREAT

          static final Command PEXPIREAT

      Set the expiration for a key as a UNIX timestamp specified in milliseconds.

    - #### PEXPIRETIME

          static final Command PEXPIRETIME

      Get the expiration Unix timestamp for a key in milliseconds.

    - #### PFADD

          static final Command PFADD

      Adds the specified elements to the specified HyperLogLog.

    - #### PFCOUNT

          static final Command PFCOUNT

      Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).

    - #### PFDEBUG

          static final Command PFDEBUG

      Internal commands for debugging HyperLogLog values.

    - #### PFMERGE

          static final Command PFMERGE

      Merge N different HyperLogLogs into a single one.

    - #### PFSELFTEST

          static final Command PFSELFTEST

      An internal command for testing HyperLogLog values.

    - #### PING

          static final Command PING

      Ping the server.

    - #### PSETEX

          static final Command PSETEX

      Set the value and expiration in milliseconds of a key.

    - #### PSUBSCRIBE

          static final Command PSUBSCRIBE

      Listen for messages published to channels matching the given patterns.

    - #### PSYNC

          static final Command PSYNC

      Internal command used for replication.

    - #### PTTL

          static final Command PTTL

      Get the time to live for a key in milliseconds.

    - #### PUBLISH

          static final Command PUBLISH

      Post a message to a channel.

    - #### PUBSUB

          static final Command PUBSUB

      A container for Pub/Sub commands.

    - #### PUNSUBSCRIBE

          static final Command PUNSUBSCRIBE

      Stop listening for messages posted to channels matching the given patterns.

    - #### QUIT

          static final Command QUIT

      Close the connection.

    - #### RANDOMKEY

          static final Command RANDOMKEY

      Return a random key from the keyspace.

    - #### READONLY

          static final Command READONLY

      Enables read queries for a connection to a cluster replica node.

    - #### READWRITE

          static final Command READWRITE

      Disables read queries for a connection to a cluster replica node.

    - #### RENAME

          static final Command RENAME

      Rename a key.

    - #### RENAMENX

          static final Command RENAMENX

      Rename a key, only if the new key does not exist.

    - #### REPLCONF

          static final Command REPLCONF

      An internal command for configuring the replication stream.

    - #### REPLICAOF

          static final Command REPLICAOF

      Make the server a replica of another instance, or promote it as master.

    - #### RESET

          static final Command RESET

      Reset the connection.

    - #### RESTORE

          static final Command RESTORE

      Create a key using the provided serialized value, previously obtained using DUMP.

    - #### RESTORE_ASKING

          static final Command RESTORE_ASKING

      An internal command for migrating keys in a cluster.

    - #### ROLE

          static final Command ROLE

      Return the role of the instance in the context of replication.

    - #### RPOP

          static final Command RPOP

      Remove and get the last elements in a list.

    - #### RPOPLPUSH

          @Deprecated
          static final Command RPOPLPUSH

      Deprecated.
      since: 6.2.0, replaced by: `LMOVE` with the `RIGHT` and `LEFT` arguments
      Remove the last element in a list, prepend it to another list and return it.

    - #### RPUSH

          static final Command RPUSH

      Append one or multiple elements to a list.

    - #### RPUSHX

          static final Command RPUSHX

      Append an element to a list, only if the list exists.

    - #### SADD

          static final Command SADD

      Add one or more members to a set.

    - #### SAVE

          static final Command SAVE

      Synchronously save the dataset to disk.

    - #### SCAN

          static final Command SCAN

      Incrementally iterate the keys space.

    - #### SCARD

          static final Command SCARD

      Get the number of members in a set.

    - #### SCRIPT

          static final Command SCRIPT

      A container for Lua scripts management commands.

    - #### SDIFF

          static final Command SDIFF

      Subtract multiple sets.

    - #### SDIFFSTORE

          static final Command SDIFFSTORE

      Subtract multiple sets and store the resulting set in a key.

    - #### SELECT

          static final Command SELECT

      Change the selected database for the current connection.

    - #### SET

          static final Command SET

      Set the string value of a key.

    - #### SETBIT

          static final Command SETBIT

      Sets or clears the bit at offset in the string value stored at key.

    - #### SETEX

          static final Command SETEX

      Set the value and expiration of a key.

    - #### SETNX

          static final Command SETNX

      Set the value of a key, only if the key does not exist.

    - #### SETRANGE

          static final Command SETRANGE

      Overwrite part of a string at key starting at the specified offset.

    - #### SHUTDOWN

          static final Command SHUTDOWN

      Synchronously save the dataset to disk and then shut down the server.

    - #### SINTER

          static final Command SINTER

      Intersect multiple sets.

    - #### SINTERCARD

          static final Command SINTERCARD

      Intersect multiple sets and return the cardinality of the result.

    - #### SINTERSTORE

          static final Command SINTERSTORE

      Intersect multiple sets and store the resulting set in a key.

    - #### SISMEMBER

          static final Command SISMEMBER

      Determine if a given value is a member of a set.

    - #### SLAVEOF

          @Deprecated
          static final Command SLAVEOF

      Deprecated.
      since: 5.0.0, replaced by: `REPLICAOF`
      Make the server a replica of another instance, or promote it as master.

    - #### SLOWLOG

          static final Command SLOWLOG

      A container for slow log commands.

    - #### SMEMBERS

          static final Command SMEMBERS

      Get all the members in a set.

    - #### SMISMEMBER

          static final Command SMISMEMBER

      Returns the membership associated with the given elements for a set.

    - #### SMOVE

          static final Command SMOVE

      Move a member from one set to another.

    - #### SORT

          static final Command SORT

      Sort the elements in a list, set or sorted set.

    - #### SORT_RO

          static final Command SORT_RO

      Sort the elements in a list, set or sorted set. Read-only variant of SORT.

    - #### SPOP

          static final Command SPOP

      Remove and return one or multiple random members from a set.

    - #### SPUBLISH

          static final Command SPUBLISH

      Post a message to a shard channel.

    - #### SRANDMEMBER

          static final Command SRANDMEMBER

      Get one or multiple random members from a set.

    - #### SREM

          static final Command SREM

      Remove one or more members from a set.

    - #### SSCAN

          static final Command SSCAN

      Incrementally iterate Set elements.

    - #### SSUBSCRIBE

          static final Command SSUBSCRIBE

      Listen for messages published to the given shard channels.

    - #### STRLEN

          static final Command STRLEN

      Get the length of the value stored in a key.

    - #### SUBSCRIBE

          static final Command SUBSCRIBE

      Listen for messages published to the given channels.

    - #### SUBSTR

          @Deprecated
          static final Command SUBSTR

      Deprecated.
      since: 2.0.0, replaced by: `GETRANGE`
      Get a substring of the string stored at a key.

    - #### SUNION

          static final Command SUNION

      Add multiple sets.

    - #### SUNIONSTORE

          static final Command SUNIONSTORE

      Add multiple sets and store the resulting set in a key.

    - #### SUNSUBSCRIBE

          static final Command SUNSUBSCRIBE

      Stop listening for messages posted to the given shard channels.

    - #### SWAPDB

          static final Command SWAPDB

      Swaps two Redis databases.

    - #### SYNC

          static final Command SYNC

      Internal command used for replication.

    - #### TDIGEST_ADD

          static final Command TDIGEST_ADD

    - #### TDIGEST_BYRANK

          static final Command TDIGEST_BYRANK

    - #### TDIGEST_BYREVRANK

          static final Command TDIGEST_BYREVRANK

    - #### TDIGEST_CDF

          static final Command TDIGEST_CDF

    - #### TDIGEST_CREATE

          static final Command TDIGEST_CREATE

    - #### TDIGEST_INFO

          static final Command TDIGEST_INFO

    - #### TDIGEST_MAX

          static final Command TDIGEST_MAX

    - #### TDIGEST_MERGE

          static final Command TDIGEST_MERGE

    - #### TDIGEST_MIN

          static final Command TDIGEST_MIN

    - #### TDIGEST_QUANTILE

          static final Command TDIGEST_QUANTILE

    - #### TDIGEST_RANK

          static final Command TDIGEST_RANK

    - #### TDIGEST_RESET

          static final Command TDIGEST_RESET

    - #### TDIGEST_REVRANK

          static final Command TDIGEST_REVRANK

    - #### TDIGEST_TRIMMED_MEAN

          static final Command TDIGEST_TRIMMED_MEAN

    - #### TIME

          static final Command TIME

      Return the current server time.

    - #### TIMESERIES_CLUSTERSET

          static final Command TIMESERIES_CLUSTERSET

    - #### TIMESERIES_CLUSTERSETFROMSHARD

          static final Command TIMESERIES_CLUSTERSETFROMSHARD

    - #### TIMESERIES_HELLO

          static final Command TIMESERIES_HELLO

    - #### TIMESERIES_INFOCLUSTER

          static final Command TIMESERIES_INFOCLUSTER

    - #### TIMESERIES_INNERCOMMUNICATION

          static final Command TIMESERIES_INNERCOMMUNICATION

    - #### TIMESERIES_NETWORKTEST

          static final Command TIMESERIES_NETWORKTEST

    - #### TIMESERIES_REFRESHCLUSTER

          static final Command TIMESERIES_REFRESHCLUSTER

    - #### TOPK_ADD

          static final Command TOPK_ADD

    - #### TOPK_COUNT

          static final Command TOPK_COUNT

    - #### TOPK_INCRBY

          static final Command TOPK_INCRBY

    - #### TOPK_INFO

          static final Command TOPK_INFO

    - #### TOPK_LIST

          static final Command TOPK_LIST

    - #### TOPK_QUERY

          static final Command TOPK_QUERY

    - #### TOPK_RESERVE

          static final Command TOPK_RESERVE

    - #### TOUCH

          static final Command TOUCH

      Alters the last access time of a key(s). Returns the number of existing keys specified.

    - #### TS_ADD

          static final Command TS_ADD

    - #### TS_ALTER

          static final Command TS_ALTER

    - #### TS_CREATE

          static final Command TS_CREATE

    - #### TS_CREATERULE

          static final Command TS_CREATERULE

    - #### TS_DECRBY

          static final Command TS_DECRBY

    - #### TS_DEL

          static final Command TS_DEL

    - #### TS_DELETERULE

          static final Command TS_DELETERULE

    - #### TS_GET

          static final Command TS_GET

    - #### TS_INCRBY

          static final Command TS_INCRBY

    - #### TS_INFO

          static final Command TS_INFO

    - #### TS_MADD

          static final Command TS_MADD

    - #### TS_MGET

          static final Command TS_MGET

    - #### TS_MRANGE

          static final Command TS_MRANGE

    - #### TS_MREVRANGE

          static final Command TS_MREVRANGE

    - #### TS_QUERYINDEX

          static final Command TS_QUERYINDEX

    - #### TS_RANGE

          static final Command TS_RANGE

    - #### TS_REVRANGE

          static final Command TS_REVRANGE

    - #### TTL

          static final Command TTL

      Get the time to live for a key in seconds.

    - #### TYPE

          static final Command TYPE

      Determine the type stored at key.

    - #### UNLINK

          static final Command UNLINK

      Delete a key asynchronously in another thread. Otherwise it is just as DEL, but non blocking.

    - #### UNSUBSCRIBE

          static final Command UNSUBSCRIBE

      Stop listening for messages posted to the given channels.

    - #### UNWATCH

          static final Command UNWATCH

      Forget about all watched keys.

    - #### WAIT

          static final Command WAIT

      Wait for the synchronous replication of all the write commands sent in the context of the current connection.

    - #### WATCH

          static final Command WATCH

      Watch the given keys to determine execution of the MULTI/EXEC block.

    - #### XACK

          static final Command XACK

      Marks a pending message as correctly processed, effectively removing it from the pending entries list of the consumer group. Return value of the command is the number of messages successfully acknowledged, that is, the IDs we were actually able to resolve in the PEL.

    - #### XADD

          static final Command XADD

      Appends a new entry to a stream.

    - #### XAUTOCLAIM

          static final Command XAUTOCLAIM

      Changes (or acquires) ownership of messages in a consumer group, as if the messages were delivered to the specified consumer.

    - #### XCLAIM

          static final Command XCLAIM

      Changes (or acquires) ownership of a message in a consumer group, as if the message was delivered to the specified consumer.

    - #### XDEL

          static final Command XDEL

      Removes the specified entries from the stream. Returns the number of items actually deleted, that may be different from the number of IDs passed in case certain IDs do not exist.

    - #### XGROUP

          static final Command XGROUP

      A container for consumer groups commands.

    - #### XINFO

          static final Command XINFO

      A container for stream introspection commands.

    - #### XLEN

          static final Command XLEN

      Return the number of entries in a stream.

    - #### XPENDING

          static final Command XPENDING

      Return information and entries from a stream consumer group pending entries list, that are messages fetched but never acknowledged.

    - #### XRANGE

          static final Command XRANGE

      Return a range of elements in a stream, with IDs matching the specified IDs interval.

    - #### XREAD

          static final Command XREAD

      Return never seen elements in multiple streams, with IDs greater than the ones reported by the caller for each stream. Can block.

    - #### XREADGROUP

          static final Command XREADGROUP

      Return new entries from a stream using a consumer group, or access the history of the pending entries for a given consumer. Can block.

    - #### XREVRANGE

          static final Command XREVRANGE

      Return a range of elements in a stream, with IDs matching the specified IDs interval, in reverse order (from greater to smaller IDs) compared to XRANGE.

    - #### XSETID

          static final Command XSETID

      An internal command for replicating stream values.

    - #### XTRIM

          static final Command XTRIM

      Trims the stream to (approximately if '~' is passed) a certain size.

    - #### ZADD

          static final Command ZADD

      Add one or more members to a sorted set, or update its score if it already exists.

    - #### ZCARD

          static final Command ZCARD

      Get the number of members in a sorted set.

    - #### ZCOUNT

          static final Command ZCOUNT

      Count the members in a sorted set with scores within the given values.

    - #### ZDIFF

          static final Command ZDIFF

      Subtract multiple sorted sets.

    - #### ZDIFFSTORE

          static final Command ZDIFFSTORE

      Subtract multiple sorted sets and store the resulting sorted set in a new key.

    - #### ZINCRBY

          static final Command ZINCRBY

      Increment the score of a member in a sorted set.

    - #### ZINTER

          static final Command ZINTER

      Intersect multiple sorted sets.

    - #### ZINTERCARD

          static final Command ZINTERCARD

      Intersect multiple sorted sets and return the cardinality of the result.

    - #### ZINTERSTORE

          static final Command ZINTERSTORE

      Intersect multiple sorted sets and store the resulting sorted set in a new key.

    - #### ZLEXCOUNT

          static final Command ZLEXCOUNT

      Count the number of members in a sorted set between a given lexicographical range.

    - #### ZMPOP

          static final Command ZMPOP

      Remove and return members with scores in a sorted set.

    - #### ZMSCORE

          static final Command ZMSCORE

      Get the score associated with the given members in a sorted set.

    - #### ZPOPMAX

          static final Command ZPOPMAX

      Remove and return members with the highest scores in a sorted set.

    - #### ZPOPMIN

          static final Command ZPOPMIN

      Remove and return members with the lowest scores in a sorted set.

    - #### ZRANDMEMBER

          static final Command ZRANDMEMBER

      Get one or multiple random elements from a sorted set.

    - #### ZRANGE

          static final Command ZRANGE

      Return a range of members in a sorted set.

    - #### ZRANGEBYLEX

          @Deprecated
          static final Command ZRANGEBYLEX

      Deprecated.
      since: 6.2.0, replaced by: `ZRANGE` with the `BYLEX` argument
      Return a range of members in a sorted set, by lexicographical range.

    - #### ZRANGEBYSCORE

          @Deprecated
          static final Command ZRANGEBYSCORE

      Deprecated.
      since: 6.2.0, replaced by: `ZRANGE` with the `BYSCORE` argument
      Return a range of members in a sorted set, by score.

    - #### ZRANGESTORE

          static final Command ZRANGESTORE

      Store a range of members from sorted set into another key.

    - #### ZRANK

          static final Command ZRANK

      Determine the index of a member in a sorted set.

    - #### ZREM

          static final Command ZREM

      Remove one or more members from a sorted set.

    - #### ZREMRANGEBYLEX

          static final Command ZREMRANGEBYLEX

      Remove all members in a sorted set between the given lexicographical range.

    - #### ZREMRANGEBYRANK

          static final Command ZREMRANGEBYRANK

      Remove all members in a sorted set within the given indexes.

    - #### ZREMRANGEBYSCORE

          static final Command ZREMRANGEBYSCORE

      Remove all members in a sorted set within the given scores.

    - #### ZREVRANGE

          @Deprecated
          static final Command ZREVRANGE

      Deprecated.
      since: 6.2.0, replaced by: `ZRANGE` with the `REV` argument
      Return a range of members in a sorted set, by index, with scores ordered from high to low.

    - #### ZREVRANGEBYLEX

          @Deprecated
          static final Command ZREVRANGEBYLEX

      Deprecated.
      since: 6.2.0, replaced by: `ZRANGE` with the `REV` and `BYLEX` arguments
      Return a range of members in a sorted set, by lexicographical range, ordered from higher to lower strings.

    - #### ZREVRANGEBYSCORE

          @Deprecated
          static final Command ZREVRANGEBYSCORE

      Deprecated.
      since: 6.2.0, replaced by: `ZRANGE` with the `REV` and `BYSCORE` arguments
      Return a range of members in a sorted set, by score, with scores ordered from high to low.

    - #### ZREVRANK

          static final Command ZREVRANK

      Determine the index of a member in a sorted set, with scores ordered from high to low.

    - #### ZSCAN

          static final Command ZSCAN

      Incrementally iterate sorted sets elements and associated scores.

    - #### ZSCORE

          static final Command ZSCORE

      Get the score associated with the given member in a sorted set.

    - #### ZUNION

          static final Command ZUNION

      Add multiple sorted sets.

    - #### ZUNIONSTORE

          static final Command ZUNIONSTORE

      Add multiple sorted sets and store the resulting sorted set in a new key.

    - #### SENTINEL

          static final Command SENTINEL

  - ### Method Detail

    - #### create

          static Command create​(String command)

      Generic command generator for extensions.

      To avoid inconsistent behavior, when `command` is one of the known commands for which a static instance exists, the static instance is returned.

      Parameters:
        `command` - command name
      Returns:
        the cacheable immutable command instance